Cyberduck Mountain Duck CLI

#6627 closed enhancement (wontfix)

Store private keys in Keychain

Reported by: islam Owned by: islam
Priority: low Milestone:
Component: sftp Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description

I couldn't find anyway to import my private keys in the keychain. I have to give the full path of the key on my drive and keep it always saved there. It is somehow insecure to keep the key on my drive. how can i keep it in the keychain?

Change History (4)

comment:1 Changed on Apr 10, 2012 at 9:41:29 PM by islam

  • Owner changed from dkocher to islam

comment:2 Changed on Apr 11, 2012 at 3:00:18 PM by dkocher

  • Priority changed from highest to normal
  • Summary changed from Can't save Private Keys in Keychain to Store private keys in Keychain
  • Type changed from defect to enhancement

That is not currently supported. The intent of private key support is interoperability with the OpenSSH configuration files in ~/.ssh.

comment:3 Changed on Oct 4, 2012 at 1:13:50 PM by dkocher

  • Priority changed from normal to low

comment:4 Changed on Sep 18, 2013 at 7:48:29 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software